Yottie Browser support

Share
Yottie is supported by a variety of modern browsers. The exact ones are listed below: Google Chrome 49+; Firefox 47+; Safari 9+; Edge 13+; IE 11.

Yottie is supported by a variety of modern browsers. The exact ones are listed below:

  • Google Chrome 49+;
  • Firefox 47+;
  • Safari 9+;
  • Edge 13+;
  • IE 11.

Although you’re welcome to use Yottie with a browser that is not on this list, we haven’t tested other ones for compatibility, and thus we can’t guarantee Yottie’s stable work. So if you’re not using one of these browsers, it would still be best if you downloaded one of them for optimal experience.

Have more questions?